- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Array< Type > Class Template Reference

`#include <array.h>`

Collaboration diagram for Array< Type >:

[legend]
List of all members.

## Public Member Functions
| Array (int length)
| Array (Type *data, int length)
| Array (const Array< Type > &source)
| ~Array ()
void | setvalue (const Type &value)
void | inject (const Type *source)
void | inject (const Array< Type > &source)
Array< Type > & | operator= (const Type *source)
Array< Type > & | operator= (const Array< Type > &source)
void | copyto (Type *dest) const
int | length () const
Type & | operator[] (int i)
const Type & | operator[] (int i) const
bool | operator== (const Array< Type > &a) const
bool | operator!= (const Array< Type > &a) const
## Protected Attributes
Type * | elems
int | n
bool | owner

## Detailed Description

### template<class Type>
class Array< Type >

Definition at line 37 of file array.h.

## Constructor & Destructor Documentation

template<class Type>

Array< Type >::Array | ( | int | length | ) | `[explicit]`

Definition at line 94 of file array.h.

References Array< Type >::elems, Array< Type >::n, and Array< Type >::owner.

template<class Type>

Array< Type >::Array | ( | Type * | data,
|  | int | length |
| ) |  |  |

Definition at line 101 of file array.h.

References Array< Type >::elems, Array< Type >::n, and Array< Type >::owner.

template<class Type>

Array< Type >::Array | ( | const Array< Type > & | source | ) |

Definition at line 107 of file array.h.

References Array< Type >::elems, Array< Type >::n, and Array< Type >::owner.

template<class Type>

Array< Type >::~Array | ( |  | ) |

Definition at line 113 of file array.h.

References Array< Type >::elems, and Array< Type >::owner.

## Member Function Documentation

template<class Type>

void Array< Type >::setvalue | ( | const Type & | value | ) |

Definition at line 118 of file array.h.

References Array< Type >::elems, and Array< Type >::n.

template<class Type>

void Array< Type >::inject | ( | const Type * | source | ) |

Definition at line 123 of file array.h.

References Array< Type >::elems, and Array< Type >::n.

Referenced by Array< Type >::copyto(), and Array< Type >::inject().

template<class Type>

void Array< Type >::inject | ( | const Array< Type > & | source | ) |

Definition at line 131 of file array.h.

References Array< Type >::elems, Array< Type >::inject(), and Array< Type >::n.

template<class Type>

Array< Type > & Array< Type >::operator= | ( | const Type * | source | ) |

Definition at line 139 of file array.h.

template<class Type>

Array< Type > & Array< Type >::operator= | ( | const Array< Type > & | source | ) |

Definition at line 145 of file array.h.

template<class Type>

void Array< Type >::copyto | ( | Type * | dest | ) | const

Definition at line 150 of file array.h.

References Array< Type >::inject(), and Array< Type >::n.

template<class Type>

int Array< Type >::length | ( |  | ) | const`[inline]`

Definition at line 71 of file array.h.

template<class Type>

Type & Array< Type >::operator[] | ( | int | i | ) |

Definition at line 155 of file array.h.

References Array< Type >::elems.

template<class Type>

const Type & Array< Type >::operator[] | ( | int | i | ) | const

Definition at line 159 of file array.h.

References Array< Type >::elems.

template<class Type>

bool Array< Type >::operator== | ( | const Array< Type > & | a | ) | const`[inline]`

Definition at line 83 of file array.h.

template<class Type>

bool Array< Type >::operator!= | ( | const Array< Type > & | a | ) | const`[inline]`

Definition at line 84 of file array.h.

## Member Data Documentation

template<class Type>

Type* Array< Type >::elems`[protected]`

Definition at line 84 of file array.h.

Referenced by Array< Type >::Array(), Array< Type >::inject(), Array< Type >::operator[](), Array< Type >::setvalue(), and Array< Type >::~Array().

template<class Type>

int Array< Type >::n`[protected]`

Definition at line 88 of file array.h.

Referenced by Array< Type >::Array(), Array< Type >::copyto(), Array< Type >::inject(), Array< Matrix * >::length(), Array< Matrix * >::operator==(), and Array< Type >::setvalue().

template<class Type>

bool Array< Type >::owner`[protected]`

Definition at line 89 of file array.h.

Referenced by Array< Type >::Array(), and Array< Type >::~Array().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/contrib/MatlabInterface/src/array.h